Page MenuHomePhabricator

Array to string conversion from Flow when using scripts against officewiki
Closed, ResolvedPublic

Description

reedy@tin:/srv/mediawiki-staging$ sql officewiki
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
PHP Notice:  Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Notice: Array to string conversion in /srv/mediawiki-staging/php-1.28.0-wmf.23/extensions/Flow/includes/Conversion/Utils.php on line 465
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor.  Commands end with ; or \g.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Reedy created this task.Oct 31 2016, 3:05 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 31 2016, 3:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.Nov 8 2016, 6:53 PM

Only happens on tin, not on terbium.

Catrope claimed this task.Nov 9 2016, 7:37 PM

Change 320639 had a related patch set uploaded (by Catrope):
Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/320639

Change 320639 merged by jenkins-bot:
Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/320639

Checked for

  • the code present in /srv/mediawiki-staging/php-master/extensions/Flow/includes/Conversion/Utils.php
  • https://logstash-beta.wmflabs.org/ for errors/warning - no "Array to string conversion..." was diplayed.

@Catrope, another warning (below) was displayed - nothing to worry about?

2016-11-14T19:57:24	mediawiki	WARNING	dewiki	deployment-mediawiki04	Message::toString using implicit format: parse

@timestamp	  	2016-11-14T19:57:24

exception.file	  	/srv/mediawiki/php-master/includes/Message.php:811

texception.message	  	Message::toString using implicit format: parse

texception.trace	  	/srv/mediawiki/wmf-config/CommonSettings.php:1523, /srv/mediawiki/php-master/includes/Hooks.php:195, /srv/mediawiki/php-master/includes/auth/AuthManager.php:469, /srv/mediawiki/php-master/includes/auth/AuthManager.php:381, /srv/mediawiki/php-master/includes/specialpage/AuthManagerSpecialPage.php:355, /srv/mediawiki/php-master/includes/specialpage/AuthManagerSpecialPage.php:484, /srv/mediawiki/php-master/includes/htmlform/HTMLForm.php:657, /srv/mediawiki/php-master/includes/specialpage/AuthManagerSpecialPage.php:418, /srv/mediawiki/php-master/includes/specialpage/LoginSignupSpecialPage.php:297, /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php:522, /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php:576, /srv/mediawiki/php-master/includes/MediaWiki.php:283, /srv/mediawiki/php-master/includes/MediaWiki.php:851, /srv/mediawiki/php-master/includes/MediaWiki.php:512, /srv/mediawiki/php-master/index.php:43, /srv/mediawiki/w/index.php:3

server	  	de.wikipedia.beta.wmflabs.org

Change 327019 had a related patch set uploaded (by Catrope):
Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/327019

jmatazzoni closed this task as Resolved.Dec 14 2016, 7:39 PM

Change 327019 merged by jenkins-bot:
Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/327019

Seb35 added a subscriber: Seb35.May 22 2017, 10:05 AM

This bug also occurs in MediaWiki 1.28 + Flow branch REL1_28, is it possible to backport also to REL1_28? I prepare the Gerrit patch.

Change 355088 had a related patch set uploaded (by Seb35; owner: Catrope):
[mediawiki/extensions/Flow@REL1_28] Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/355088

Change 355088 abandoned by Seb35:
Fix warnings and bugs in generateForwardedCookieForCli()

https://gerrit.wikimedia.org/r/355088